<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/ll_trend_content"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="15dp"
    android:layout_marginTop="20dp"
    android:layout_marginRight="15dp"
    android:background="@color/dynamic_white"
    android:elevation="1dp"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/item_trend_user_rel"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="15dp"
        android:layout_marginTop="15dp">

        <ImageView
            android:id="@+id/item_trend_user_head_iv"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_alignParentStart="true"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            android:src="@drawable/dynamic_head_place_hold_pic" />


        <TextView
            android:id="@+id/item_trend_user_name_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:paddingLeft="10dp"
            android:paddingTop="3dp"
            android:text="小明"
            android:textColor="@color/dynamic_text_trend_defult"
            android:textSize="12sp"
            app:layout_constraintLeft_toRightOf="@+id/item_trend_user_head_iv" />

        <ImageView
            android:id="@+id/item_trend_user_gender_iv"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginLeft="@dimen/platform_dp_2"
            android:paddingTop="6dp"
            android:src="@drawable/dynamic_new_male"
            app:layout_constraintLeft_toRightOf="@+id/item_trend_user_name_tv" />


        <TextView
            android:id="@+id/item_trend_time_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/item_trend_user_name_rel"
            android:layout_toRightOf="@+id/item_trend_user_head_iv"
            android:paddingLeft="10dp"
            android:paddingTop="10dp"
            android:text=""
            android:textColor="@color/dynamic_text_trend_defult"
            android:textSize="10sp"
            android:visibility="invisible"
            app:layout_constraintLeft_toRightOf="@+id/item_trend_user_head_iv"
            app:layout_constraintTop_toBottomOf="@+id/item_trend_user_name_tv" />

        <TextView
            android:id="@+id/item_trend_souce_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingTop="7dp"
            android:text="来自安卓终端"
            android:textColor="@color/dynamic_text_trend_defult"
            android:textSize="10sp"
            app:layout_constraintBaseline_toBaselineOf="@+id/item_trend_time_tv"
            app:layout_constraintLeft_toRightOf="@+id/item_trend_time_tv" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <TextView
        android:id="@+id/item_trend_title_tv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="10dp"
        android:text="标题"
        android:textColor="@color/dynamic_text_3d3d3d"
        android:textSize="15sp" />

    <TextView
        android:id="@+id/item_trend_content_tv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="10dp"
        android:lineSpacingExtra="3dp"
        android:text="外交部回应“朝鲜正准备第六次核试验”】有报道称，朝鲜正在准备进行第六次核试验，预计此次核试规模将比上一次增加十几倍。对此，外交部回应表示：中方反对朝鲜核试的立场是明确和一贯的。当前半岛形势高度复杂敏感，任何可能加剧半岛局势紧张的举动都是不可取的。希望相关各方都保持冷静克制，负起自己的责任，不要采取进一步相互刺激和加剧局势紧张的行动。"
        android:textColor="@color/dynamic_text_666666"
        android:textSize="12sp"
        android:visibility="gone"
        tools:visibility="visible" />

    <!-- 图片布局 -->
    <com.yidianling.dynamic.common.view.NineGridView
        android:id="@+id/nine_grid"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="10dp" />


    <com.ydl.ydlcommon.view.widgets.RoundImageView
        android:id="@+id/iv_assistant_guide_image"
        android:layout_width="match_parent"
        android:layout_height="90dp"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="10dp"
        android:layout_marginBottom="15dp"
        android:scaleType="centerCrop"
        android:visibility="gone"
        app:pa_borderRadius="8dp"
        app:pa_type="pa_round"
        tools:visibility="visible" />


    <!-- Url布局-->
    <RelativeLayout
        android:id="@+id/item_trend_ad_rel"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="10dp"
        android:background="@drawable/dynamic_trend_ad_bg"
        android:visibility="gone"
        tools:visibility="visible">

        <ImageView
            android:id="@+id/item_trend_ad_iv"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_centerVertical="true"
            android:scaleType="centerCrop"
            android:src="@drawable/dynamic_default_img" />

        <ImageView
            android:id="@+id/iv_fm"
            android:layout_width="@dimen/platform_dp_22"
            android:layout_height="@dimen/platform_dp_22"
            android:layout_centerVertical="true"
            android:layout_marginLeft="9dp"
            android:src="@drawable/dynamic_img_trend_fm_play"
            android:visibility="gone"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/item_trend_ad_tv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="14dp"
            android:layout_marginRight="15dp"
            android:layout_toRightOf="@+id/item_trend_ad_iv"
            android:ellipsize="end"
            android:maxLines="2"
            android:text="外交部回应“朝鲜正准备第六次核试验”】有报道称，朝鲜正在准备进行第六次核试验，预计"
            android:textColor="@color/dynamic_text_666666"
            android:textSize="12sp" />

    </RelativeLayout>

    <!--点赞评论-->
    <RelativeLayout
        android:id="@+id/item_trend_zan_rel"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginRight="10dp"
        android:layout_marginBottom="15dp"
        android:gravity="center">

        <TextView
            android:id="@+id/text_trend"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:ellipsize="end"
            android:maxLines="1"
            android:textColor="#FAA05A"
            android:textSize="12sp"
            tools:text="#表白话题#" />

        <ImageView
            android:id="@+id/item_trend_discuss_iv"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_centerVertical="true"
            android:layout_toLeftOf="@+id/text_talk_num"
            android:padding="3dp"
            android:src="@drawable/dynamic_comment" />

        <TextView
            android:id="@+id/text_talk_num"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginLeft="5dp"
            android:drawablePadding="5dp"
            android:gravity="center_vertical"
            android:textColor="@color/dynamic_text_trend_defult"
            android:textSize="@dimen/dynamic_text_size_12"
            tools:text="评论" />

        <ImageView
            android:id="@+id/item_trend_zan_iv"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_centerVertical="true"
            android:layout_toLeftOf="@+id/text_zan_num"
            android:padding="3dp"
            android:src="@drawable/dynamic_icon_warm_nor" />

        <TextView
            android:id="@+id/text_zan_num"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="5dp"
            android:layout_marginRight="5dp"
            android:layout_toLeftOf="@+id/item_trend_discuss_iv"
            android:gravity="center_vertical"
            android:minWidth="25dp"
            android:textColor="@color/dynamic_text_trend_defult"
            android:textSize="@dimen/dynamic_text_size_12"
            tools:text="温暖" />

    </RelativeLayout>


</LinearLayout>
